For the complete documentation index, see llms.txt. Markdown versions of the documentation pages are available from that index.
solscan logo
Register NowRegister Now

block transactions

get

https://pro-api.solscan.io/v2.0/block/transactions

Get the list of transactions of a block

QUERY PARAMS

block

number

required

The slot index of a block

page

number

Page number for pagination

page_size

number

Number of items per page

exclude_vote

boolean

Excludes vote transactions from the results

program

string

The program used to filter transactions that interact with it

RESPONSES

200

OK

Response Body (application/json)

success

boolean

Request status

total

number

The total number of transactions in this block

slot

number

Slot number of the transaction

fee

number

The fee of the transaction

status

string

The status of the transaction: Success or Fail

signer

array of string

The signers of the transaction

block_time

number

The Unix time of the slot

tx_hash

string

Transaction signature

type

string

The type of the instruction

program

string

The name of the program

program_id

string

The address of the program

program_ids

array of string

The list of addresses of programs involved in the transaction

time

string

The time of the slot

version

number or string

The version of the transaction ("legacy", 0, 1)

400

Bad Request

Response Body (application/json)

401

Authentication failed

Response Body (application/json)

429

Too Many Requests

Response Body (application/json)

500

Internal Server Error

Response Body (application/json)

icon

Javascript

icon

Python

icon

Shell

icon

Go

icon

C#

Authorization

Response

Click Try It! to start a request and see the response here!

Response Examples